Mail archive
alpine-devel

[alpine-devel] [PATCH 05/25] testing/marco: fix build function and deps

From: Alan Lacerda <alancordeiro_at_gmail.com>
Date: Fri, 19 Dec 2014 10:26:11 +0000

---
 testing/marco/APKBUILD | 14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)
diff --git a/testing/marco/APKBUILD b/testing/marco/APKBUILD
index 0d2dd35..8e6f483 100644
--- a/testing/marco/APKBUILD
+++ b/testing/marco/APKBUILD
_at_@ -2,16 +2,16 @@
 # Maintainer:
 pkgname=marco
 pkgver=1.9.3
-pkgrel=0
+pkgrel=1
 pkgdesc="MATE window manager"
 url="https://github.com/mate-desktop/marco"
 arch="all"
 license="GPL2"
 depends="mate-common yelp-tools"
 depends_dev=""
-makedepends="$depends_dev autoconf automake libtool glib-dev
-	intltool libxcomposite-dev libxcursor-dev libgtop-dev
-	libcanberra-dev zenity itstool gobject-introspection-dev"
+makedepends="$depends_dev libtool glib-dev itstool zenity intltool 
+	libxcomposite-dev libxcursor-dev libgtop-dev libcanberra-dev
+	gobject-introspection-dev"
 install=""
 subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
 source="http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
_at_@ -29,7 +29,11 @@ prepare() {
 
 build() {
 	cd "$_builddir"
-	./autogen.sh --prefix=/usr || retrun 1
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		|| return 1
 	make CFLAGS='-D_GNU_SOURCE' || return 1
 }
 
-- 
2.1.3
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Fri Dec 19 2014 - 10:26:11 GMT